# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# Need to tweak provides filter differently if we have rpm 4.9 onwards
%global rpm49 %(rpm --version | perl -pi -e 's/^.* (\\d+)\\.(\\d+)\\.(\\d+).*/sprintf("%d.%03d%03d",$1,$2,$3) ge 4.009 ? 1 : 0/e')

Summary:	A FileHandle that supports ungetting of multiple bytes
Name:		perl-FileHandle-Unget
Version:	0.1623
Release:	11.%{__distinit}%{__distvers}
License:	GPL+
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/FileHandle-Unget/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DC/DCOPPIT/FileHandle-Unget-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Devel::Leak)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Spec::Functions)
BuildRequires:	perl(Scalar::Util) >= 1.14
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Provides:	perl(FileHandle::Unget) = %{version}

%description
FileHandle::Unget is a drop-in replacement for FileHandle that allows more
than one byte to be placed back on the input. It supports an ungetc(ORD), which
can be called more than once in a row, and an ungets(SCALAR), which places a
string of bytes back on the input.

%prep
%setup -q -n FileHandle-Unget-%{version}

# Drop bogus autodetected provide
%if %{rpm49}
%global __provides_exclude ^perl\\(FileHandle::Unget\\)
%else
%global provfilt /bin/sh -c "%{__perl_provides} | grep -v '^perl(FileHandle::Unget)'"
%define __perl_provides %{provfilt}
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README CHANGES LICENSE
%{perl_vendorlib}/FileHandle/
%{_mandir}/man3/FileHandle::Unget.3pm*

%changelog
* Fri Jun 22 2012 Paul Howarth <paul@city-fan.org> 0.1623-11
- Don't need to remove empty directories from the buildroot

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> 0.1623-5
- Rebuild for perl 5.14.1 in Rawhide
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Tweak provides filter to work with rpm ≥ 4.9
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 0.1623-4
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 27 2010 Paul Howarth <paul@city-fan.org> 0.1623-3
- Fix dist tag for RHEL-6 Beta

* Thu Feb 18 2010 Paul Howarth <paul@city-fan.org> 0.1623-2
- Fix versioned provide for perl(FileHandle::Unget)
- Add buildreq perl(Devel::Leak) for additional test coverage
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro instead of our own %%{__chmod} incantation

* Tue Sep  1 2009 Paul Howarth <paul@city-fan.org> 0.1623-1
- Update to 0.1623
  - fix uninitialized value warning and incorrect behaviour (CPAN RT#48528)
  - remove reference to obsolete ExtUtils::MakeMaker::bytes (CPAN RT#48984)

* Thu Jul 17 2008 Paul Howarth <paul@city-fan.org> 0.1622-1
- Update to 0.1622
- BuildRequire perl(Test::More)
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Unget.pm permissions no longer need fixing

* Mon Mar 10 2008 Paul Howarth <paul@city-fan.org> 0.1621-6
- Clarify license as GPL (unspecified version)

* Sat Mar 17 2007 Paul Howarth <paul@city-fan.org> 0.1621-3
- Fix dist tag for development releases, CentOS, and Fedora 7 onwards
- Remove buildroot unconditionally in %%clean and %%install
- Remove %%{__perl_version} macro, used only once
- Remove %%{__perl_package} macro, used only twice
- Don't use macros in command paths, hardcode them instead
- Fix argument order for find with -depth
- Use search.cpan.org URLs
- Define %%{__id_u} in a more portable way
- Add buildreq perl(ExtUtils::MakeMaker)

* Wed Jul 13 2005 Paul Howarth <paul@city-fan.org> 0.1621-2
- Fix bogus Group: tag
- Fix directory ownership issues
- Fix file permissions issues
- Remove optimization settings from %%build, not needed for noarch package

* Wed May 18 2005 Paul Howarth <paul@city-fan.org> 0.1621-1
- Update to 0.1621; incompatible with Red Hat Enterprise Linux < 4,
  Fedora Core < 3 due to Scalar::Util dependency - the Scalar::Util module
  is shipped with Red Hat perl packages, so we can't just provide an
  updated module package
- Add Scalar::Util >= 1.14 dependency
- Remove WeakRef dependency

* Tue May 17 2005 Paul Howarth <paul@city-fan.org> 0.14-5
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc

* Thu Dec 23 2004 Paul Howarth <paul@city-fan.org> 0.14-4
- Tidy up spec file

* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> 0.14-3
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuild from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 0.14-2
- Unified spec file for Red Hat and Fedora Core

* Tue Feb 10 2004 Paul Howarth <paul@city-fan.org> 0.14-1.fc1
- Update to 0.14, requires perl-WeakRef

* Fri Dec 12 2003 Paul Howarth <paul@city-fan.org> 0.11-1.fc1
- Used more macros, added current Fedora Core version to RPM release ID.

* Tue Nov 25 2003 Paul Howarth <paul@city-fan.org> 0.11-1
- Initial build
